package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.AverageLifetime;
import com.lightinit.hsdatashow.entity.AverageLifetimeExample;
import com.lightinit.hsdatashow.model.admin.AverageLifetimeModel;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface AverageLifetimeMapper {
    long countByExample(AverageLifetimeExample example);

    int deleteByExample(AverageLifetimeExample example);

    int deleteByPrimaryKey(Long id);

    int insert(AverageLifetime record);

    int insertSelective(AverageLifetime record);

    List<AverageLifetime> selectByExample(AverageLifetimeExample example);

    AverageLifetime selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") AverageLifetime record, @Param("example") AverageLifetimeExample example);

    int updateByExample(@Param("record") AverageLifetime record, @Param("example") AverageLifetimeExample example);

    int updateByPrimaryKeySelective(AverageLifetime record);

    int updateByPrimaryKey(AverageLifetime record);

    List<AverageLifetimeModel> getLifetime(AverageLifetimeExample example);

    AverageLifetimeModel selectById(long id);
}